> ## Documentation Index
> Fetch the complete documentation index at: https://secdocs.asikoexpress.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current wholesale account and business information



## OpenAPI

````yaml /openapi/user-service.json get /v1/wholesale/me
openapi: 3.0.0
info:
  title: Asiko User Service
  description: Auth, JWT, TOTP 2FA, retail + trade account management
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: auth
    description: ''
  - name: users
    description: ''
  - name: addresses
    description: ''
paths:
  /v1/wholesale/me:
    get:
      tags:
        - wholesale
      summary: Get the current wholesale account and business information
      operationId: WholesaleController_getMe
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WholesaleAccountResponseDto'
      security:
        - bearer: []
components:
  schemas:
    WholesaleAccountResponseDto:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        phone:
          type: string
          nullable: true
        status:
          enum:
            - ACTIVE
            - PENDING
            - SUSPENDED
            - DEACTIVATED
          type: string
        trackingId:
          type: string
          nullable: true
        reviewStatus:
          nullable: true
          enum:
            - PENDING
            - APPROVED
            - REJECTED
          type: string
        business:
          $ref: '#/components/schemas/BusinessInfoResponseDto'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - email
        - status
        - business
        - createdAt
        - updatedAt
    BusinessInfoResponseDto:
      type: object
      properties:
        businessName:
          type: string
        businessAddress:
          type: string
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        registrationNumber:
          type: string
          nullable: true
        estimatedMonthlyOrderMin:
          type: number
          nullable: true
        estimatedMonthlyOrderMax:
          type: number
          nullable: true
        contactFullName:
          type: string
          nullable: true
        contactPhone:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
      required:
        - businessName
        - businessAddress
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````